.paragraph--type--resources {
  display: flex;
  flex-direction: column;
  container-type: inline-size;
  container-name: main;

  .field--name-field-summary {
    height: 56px;
    margin-bottom: 24px;
    display: inline-flex;
    align-items: end;
    justify-content: center;
    text-align: center;
  }

  .field--name-field-links {
    display: flex;
    flex-direction: column;
    align-items: stretch;
    gap: 16px;
  }

  .field--name-field-links a {
    width: 100%;
  }
}

.paragraph--type--image-resource {
  --card-radius: 0 80px;
  --card-content-padding: 16px 24px 16px 64px;

  display: flex;
  flex-direction: column;
  background-color: var(--bg-tertiary);
  border-radius: var(--card-radius);

  & .field--name-field-top-image img {
    aspect-ratio: 3 / 2;
    object-fit: cover;
    border-radius: var(--card-radius);
  }

  & .group-content {
    padding: var(--card-content-padding);
  }
}

.paragraph--type--image-resources {
  max-width: 768px;
  margin: 0 auto;
  display: grid;
  gap: 20px;

  @container (min-width: 768px) {
    grid-template-columns: 1fr 1fr;
  }

  & .field__item:nth-child(odd) .paragraph--type--image-resource {
    --card-radius: 80px 0;
    --card-content-padding: 16px 64px 16px 24px;
  }
}

@container main (min-width: 730px) {
  .paragraph--type--resources {
    .field--name-field-links {
      display: grid;
      grid-template-columns: 1fr 1fr;
    }
  }
}
